# Generated by Django 3.2 on 2023-10-14 01:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0003_rename_title_datakampung_titles'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataUMKM',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jeniinput', models.CharField(default='UMKM', max_length=500)),
                ('title_usaha', models.TextField(null=True)),
                ('title_owner', models.TextField(null=True)),
                ('jenis_usaha', models.TextField(null=True)),
                ('modal_usaha', models.IntegerField(null=True)),
                ('bantuan', models.TextField(null=True)),
                ('izin_usaha', models.TextField(null=True)),
                ('akta_usaha', models.TextField(null=True)),
                ('jml_karyawan', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
            ],
        ),
        migrations.CreateModel(
            name='datakependudukan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField(null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_penduduk_pria', models.IntegerField(null=True)),
                ('jml_penduduk_wanita', models.IntegerField(null=True)),
                ('jml_kriten', models.IntegerField(null=True)),
                ('jml_katholik', models.IntegerField(null=True)),
                ('jml_islam', models.IntegerField(null=True)),
                ('jml_hindu', models.IntegerField(null=True)),
                ('jml_budha', models.IntegerField(null=True)),
                ('jml_OAP', models.IntegerField(null=True)),
                ('jml_nonOAP', models.IntegerField(null=True)),
                ('jml_KK', models.IntegerField(null=True)),
                ('jml_KTP', models.IntegerField(null=True)),
                ('jml_Akta', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
            ],
        ),
    ]
